GIMP Module Library Reference Manual
<<< Previous Page | Home | Up |

# GimpModuleDB

## Name

GimpModuleDB --

## Synopsis

    struct      GimpModuleDB;
    GimpModuleDB* gimp_module_db_new            (gboolean verbose);
    void        gimp_module_db_set_load_inhibit (GimpModuleDB *db,
                                                 const gchar *load_inhibit);
    const gchar* gimp_module_db_get_load_inhibit
                                                (GimpModuleDB *db);
    void        gimp_module_db_load             (GimpModuleDB *db,
                                                 const gchar *module_path);
    void        gimp_module_db_refresh          (GimpModuleDB *db,
                                                 const gchar *module_path);

## Object Hierarchy

      GObject
       +----GimpModuleDB

## Signal Prototypes

    "add"       void        user_function      (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);
    "module-modified"
                void        user_function      (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);
    "remove"    void        user_function      (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);

## Description

## Details

### struct GimpModuleDB

    struct GimpModuleDB;

### gimp_module_db_new ()

    GimpModuleDB* gimp_module_db_new            (gboolean verbose);

`verbose` : |
Returns : |

### gimp_module_db_set_load_inhibit ()

    void        gimp_module_db_set_load_inhibit (GimpModuleDB *db,
                                                 const gchar *load_inhibit);

`db` : |
`load_inhibit` : |

### gimp_module_db_get_load_inhibit ()

    const gchar* gimp_module_db_get_load_inhibit
                                                (GimpModuleDB *db);

`db` : |
Returns : |

### gimp_module_db_load ()

    void        gimp_module_db_load             (GimpModuleDB *db,
                                                 const gchar *module_path);

`db` : |
`module_path` : |

### gimp_module_db_refresh ()

    void        gimp_module_db_refresh          (GimpModuleDB *db,
                                                 const gchar *module_path);

`db` : |
`module_path` : |

## Signals

### The "add" signal

    void        user_function                  (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);

`gimpmoduledb` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "module-modified" signal

    void        user_function                  (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);

`gimpmoduledb` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "remove" signal

    void        user_function                  (GimpModuleDB *gimpmoduledb,
                                                GimpModule *arg1,
                                                gpointer user_data);

`gimpmoduledb` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

<<< Previous Page | Home | Up |
GimpModule |